Subject: Re: powerc: fix build failure when CONFIG_HUGETLB_PAGE is not set

From: Cedric Le Goater <[email-masked]>
Date: Tue, 28 Oct 2014 08:29:29 +0100

Hello Michael,

On 10/28/2014 05:31 AM, Michael Ellerman wrote:
> On Mon, 2014-27-10 at 14:30:06 UTC, =?utf-8?q?C=C3=A9dric_Le_Goater?= wrote:
>> CC      arch/powerpc/mm/slice.o
>> In file included from ../arch/powerpc/mm/slice.c:33:0:
>> ../include/linux/hugetlb.h:141:47: error: expected identifier or ‘(’ before numeric constant
>>  #define is_hugepage_only_range(mm, addr, len) 0
>>                                                ^
>> ../arch/powerpc/mm/slice.c:704:5: note: in expansion of macro ‘is_hugepage_only_range’
>>  int is_hugepage_only_range(struct mm_struct *mm, unsigned long addr,
>>      ^
> 
> Hi Cedric,
> 
> I'm pretty sure this is fixed in my fixes branch:
> 
>   https://git.kernel.org/cgit/linux/kernel/git/mpe/linux.git/log/?h=fixes

Indeed. I just picked -rc2 without checking your branch. I will next time.

Thanks,

C.